Bug 261191 - shells/ammonite: Update to 2.5.1
Summary: shells/ammonite: Update to 2.5.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Fernando Apesteguía
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2022-01-14 10:07 UTC by Jens Grassel
Modified: 2022-01-18 16:18 UTC (History)
1 user (show)

See Also:


Attachments
Patch to update shells/ammonite to 2.5.1 and move it to devel/ammonite (4.28 KB, patch)
2022-01-14 10:07 UTC, Jens Grassel
no flags Details | Diff
Patch to update and move ammonite (4.23 KB, patch)
2022-01-17 17:37 UTC, Jens Grassel
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jens Grassel 2022-01-14 10:07:23 UTC
Created attachment 230999 [details]
Patch to update shells/ammonite to 2.5.1 and move it to devel/ammonite

Hi,

here is a patch to update shells/ammonite to version 2.5.1.
Because the authors removed the shell functionality but it is still a good dev-tool (repl) I move it to devel/ammonite.

Changelog
---------

* Added support for Scala 2.13.8
* Re-added old Main entry point for better compatibility with Ammonite 2.4 and older
* Dropped built-in support for shell operations
* move from shells/ammonite to devel/ammonite

Kind regards,

Jens
Comment 1 Fernando Apesteguía freebsd_committer 2022-01-17 08:33:11 UTC
Hi Jens,

Thanks for the patch. However, after applying it, there is still shells/ammonite with Makefile an pkg-descr.

Could you remake the patch?

Thanks!
Comment 2 Jens Grassel 2022-01-17 17:37:14 UTC
Created attachment 231088 [details]
Patch to update and move ammonite

Hi,

I've re-done and rebased the patch. If it still doesn't work ping me. I would then make two patches (explicit delete and explicit adding of the new dir in ports).

Kind regards,

Jens
Comment 3 commit-hook freebsd_committer 2022-01-18 16:18:06 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=2d46959df26a2dd3e99521dc5fb5b1f0dc67c2fb

commit 2d46959df26a2dd3e99521dc5fb5b1f0dc67c2fb
Author:     Jens Grassel <freebsd-ports@jan0sch.de>
AuthorDate: 2022-01-18 15:46:45 +0000
Commit:     Fernando Apesteguía <fernape@FreeBSD.org>
CommitDate: 2022-01-18 16:15:08 +0000

    shells/ammonite: Update to 2.5.1 and MOVE

    The authors removed the shell functionality but it is still a good dev-tool.

    Changelog
    ---------

     * Added support for Scala 2.13.8
     * Re-added old Main entry point for better compatibility with Ammonite 2.4 and
       older
     * Dropped built-in support for shell operations
     * move from shells/ammonite to devel/ammonite

    PR:     261191
    Reported by:    freebsd-ports@jan0sch.de (maintainer)

 MOVED                                |  1 +
 devel/Makefile                       |  1 +
 {shells => devel}/ammonite/Makefile  |  4 ++--
 devel/ammonite/distinfo (new)        |  3 +++
 {shells => devel}/ammonite/pkg-descr |  0
 devel/ammonite/pkg-message (new)     | 18 ++++++++++++++++++
 shells/Makefile                      |  1 -
 shells/ammonite/distinfo (gone)      |  3 ---
 shells/ammonite/pkg-message (gone)   | 25 -------------------------
 9 files changed, 25 insertions(+), 31 deletions(-)
Comment 4 Fernando Apesteguía freebsd_committer 2022-01-18 16:18:12 UTC
(In reply to Jens Grassel from comment #2)

Committed, but:

* Category should change from shells to devel in the Makefile
* The patch lacks changes in shells/Makefile and devel/Makefile

Just be sure to properly test the changes. poudriere is a good option here!

Thanks!